var webpack = require('webpack');
var path = require("path");

var config = {
  entry: ["./static/js/app.tsx"],
  output: {
    path: path.resolve(__dirname, "static/js/build"),
    filename: "bundle.js"
  },
  resolve: {
    extensions: ["", ".ts", ".tsx", ".js", ".scss"],
    alias: {
      "sass": path.resolve('./static/css/directives/components/pages/')
    }
  },
  module: {
    loaders: [
      {
        test: /\.tsx?$/,
        loader: "ts-loader",
        exclude: /node_modules/
      },
      { 
        test: /\.scss$/, 
        loaders: ['style', 'css', 'sass'],
        exclude: /node_modules/ 
      }
    ]
  }
};

module.exports = config;
